> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connection Invite Tokens

> List all the created connection invite tokens for a given Organization.



## OpenAPI

````yaml get /provisioning/organizations/{organization_id}/connection-invite-tokens
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /provisioning/organizations/{organization_id}/connection-invite-tokens:
    get:
      tags:
        - provisioning
      summary: List Connection Invite Tokens
      description: List all the created connection invite tokens for a given Organization.
      operationId: list_connection_invite_tokens
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Organization Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OffsetPaginatedResponse_ConnectionInviteTokenRespModel_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_ConnectionInviteTokenRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/ConnectionInviteTokenRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[ConnectionInviteTokenRespModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionInviteTokenRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        vendors:
          items:
            $ref: '#/components/schemas/ConnectionVendorsEnum'
          type: array
          title: Vendors
        created_at:
          type: string
          format: date-time
          title: Created At
        expires_at:
          type: string
          format: date-time
          title: Expires At
        used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Used At
        connection_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Connection Id
      type: object
      required:
        - id
        - vendors
        - created_at
        - expires_at
      title: ConnectionInviteToken
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConnectionVendorsEnum:
      type: string
      enum:
        - AIKIDO
        - ARNICA
        - TENABLE
        - QUALYS
        - SNYK
        - CROWDSTRIKE
        - CROWDSTRIKE_SPOTLIGHT
        - MS_DEFENDER_CLOUD
        - MS_DEFENDER_ENDPOINT
        - MS_DEFENDER_VMS
        - MS_DEFENDER_VMS_GCC_HIGH
        - SENTINELONE
        - SENTINELONE_VMS
        - SEMGREP
        - INSIGHTVM
        - AWS_SECURITYHUB
        - LACEWORK_CSPM
        - MS_ENTRA
        - AWS_INSPECTOR2
        - AWS_ACCESS_ANALYSER
        - OKTA_IDP
        - WIZ_VMS
        - WIZ_CODE
        - GITLAB
        - TANIUM_VMS
        - UPWIND
        - CHECKMARX
        - MEND
        - ORCA
        - GITHUB
        - SERVICENOW
        - BLACK_KITE
        - BIT_SIGHT
        - JIRA
        - SECURITY_SCORECARD
        - PROCESSUNITY
      title: ConnectionVendorsEnum
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````